classification
Title: send/recv SEGMENT_SIZE should be used more in socketmodule
Type: enhancement Stage:
Components: Extension Modules Versions: Python 3.3
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: ajaksu2, brian.curtin, irmen, r.david.murray, tim.golden
Priority: normal Keywords:

Created on 2005-01-16 15:01 by irmen, last changed 2011-02-02 18:11 by r.david.murray.

Messages (7)
msg60634 - (view) Author: Irmen de Jong (irmen) (Python triager) Date: 2005-01-16 15:01
socketmodule.c contains a SEGMENT_SIZE define that is
used to limit the send/recv buffer size on VMS.

But IMO there are two problems:
1) it should also be used on windows, because windows
doesn't like a large send/recv buffer either,
2) it should be used in more places: at least sendall,
but perhaps also recvfrom, sendto

ad 1: see also this bug: http://www.python.org/sf/853507
msg60635 - (view) Author: Irmen de Jong (irmen) (Python triager) Date: 2005-03-03 17:17
Logged In: YES 
user_id=129426

Btw: I'm not too experienced with Win32 programming and so I
don't have a very good argumentation for the buffer size issue
on this platform. If there is somebody with better understanding
of the issues involved here, please advise.
(it's just empirical knowledge that I have that leads me to
believe that win32's tcp implementation suffers from similar
recv/send size problems as VMS does-- for which a special
case was made in the code)
msg82111 - (view) Author: Daniel Diniz (ajaksu2) (Python triager) Date: 2009-02-14 19:09
Any clarifications on this RFE's merit appreciated.
msg114398 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2010-08-19 18:46
Is there any interest in this?
msg114485 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2010-08-21 11:17
I'll close this in a couple of weeks unless anyone objects.
msg115605 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2010-09-04 18:45
No reply to msg114485.
msg127745 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2011-02-02 18:11
Looks like this was closed due to lack of appropriate people reviewing it, rather than because such a review was done.
History
Date User Action Args
2011-02-02 18:11:46r.david.murraysetnosy: - BreamoreBoy
2011-02-02 18:11:32r.david.murraysetstatus: closed -> open
versions: + Python 3.3, - Python 2.7
nosy: + tim.golden, brian.curtin, r.david.murray

messages: + msg127745

resolution: out of date ->
2010-09-04 18:45:52BreamoreBoysetstatus: pending -> closed
resolution: out of date
messages: + msg115605
2010-08-21 11:17:23BreamoreBoysetstatus: open -> pending

messages: + msg114485
2010-08-19 18:46:02BreamoreBoysetnosy: + BreamoreBoy
messages: + msg114398
2009-02-14 19:09:12ajaksu2settype: enhancement
messages: + msg82111
nosy: + ajaksu2
versions: + Python 2.7
2005-01-16 15:01:11irmencreate